%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate dav1d-sys

Name:           rust-dav1d-sys
Version:        0.7.1
Release:    1%{?dist}
Summary:        FFI bindings to dav1d

License:        MIT
URL:            https://crates.io/crates/dav1d-sys
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
FFI bindings to dav1d.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(dav1d) >= 1.0.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_1-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(dav1d) >= 1.1.0

%description -n %{name}+v1_1-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_1" feature of the "%{crate}" crate.

%files       -n %{name}+v1_1-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(dav1d) >= 1.0.0'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-1
- initial build
